UbixOS V2 2.0

Data Fields
sys_lstat_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_lstat_args:

## Data Fields
char * | path
char | path_l_ [0]
char | path_r_ [(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]
struct stat * | sb
char | sb_l_ [0]
char | sb_r_ [(sizeof(register_t)<=sizeof(struct stat *) ? 0 :sizeof(register_t) - sizeof(struct stat *))]

## Detailed Description

Definition at line 408 of file sysproto_posix.h.

## Field Documentation

## ◆ path

char* sys_lstat_args::path

Definition at line 410 of file sysproto_posix.h.

Referenced by sys_lstat().

## ◆ path_l_

char sys_lstat_args::path_l_[0]

Definition at line 409 of file sysproto_posix.h.

## ◆ path_r_

char sys_lstat_args::path_r_[(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]

Definition at line 411 of file sysproto_posix.h.

## ◆ sb

struct stat* sys_lstat_args::sb

Definition at line 413 of file sysproto_posix.h.

Referenced by sys_lstat().

## ◆ sb_l_

char sys_lstat_args::sb_l_[0]

Definition at line 412 of file sysproto_posix.h.

## ◆ sb_r_

char sys_lstat_args::sb_r_[(sizeof(register_t)<=sizeof(struct stat *) ? 0 :sizeof(register_t) - sizeof(struct stat *))]

Definition at line 414 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h